Duplicate social event
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"visibility": "<string>",
"inviteAccessMode": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Social events
Duplicate social event
Requires write:social-events. Clones the event (and options where applicable) into a new draft.
POST
/
api
/
v1
/
marketing
/
social-events
/
{id}
/
duplicate
Duplicate social event
curl --request POST \
--url https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://www.carstoragesoftware.com/api/v1/marketing/social-events/{id}/duplicate"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"location": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"maxAttendees": 123,
"enableWaitlist": true,
"allowMultiOptionRsvp": true,
"allowRsvpNotes": true,
"rsvpEnabled": true,
"ticketsEnabled": true,
"cost": 123,
"photoUrl": "<string>",
"visibility": "<string>",
"inviteAccessMode": "<string>",
"isPublished": true,
"status": "<string>",
"questionnaireFormId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}{
"error": "<string>",
"code": "<string>",
"details": null
}Was this page helpful?
⌘I